%define	name	audiofile
%define	version	0.2.6
%define	release	%mkrel 14
%define	lib_major 0
%define	lib_name %mklibname %{name} %{lib_major}

Summary:	Library to handle various audio file formats
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
# (fc) 0.2.3-3mdk don't add -L/usr/lib to ldflags
Patch0:		audiofile-0.2.6-libdir.patch
Patch1:		audiofile-underquoted.patch
URL:		http://www.68k.org/~michael/audiofile/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Silicon Graphics Audio File Library provides a uniform programming 
interface to standard digital audio file formats.

Currently supported sound file formats include AIFF/AIFF-C, WAVE, and
NeXT/Sun .snd/.au. Supported compression formats are currently G.711 
mu-law and A-law. 
Used by the esound daemon.

%package -n	%{lib_name}
Summary:	Main library for audiofile 
Group:		System/Libraries

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with audiofile.

%package -n	%{lib_name}-devel
Summary:	Includes and other files to develop audiofile applications
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	lib%{name}-devel = %{version}
Provides:	audiofile-devel = %{version}
Obsoletes:	audiofile-devel

%description -n	%{lib_name}-devel
Libraries, include files and other resources you can use to develop audiofile
applications.

%prep
%setup -q
%patch0 -p1 -b .libdir
%patch1 -p1 -b .underquoted

%build
%configure2_5x --enable-largefile
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING README
%{_bindir}/sfconvert
%{_bindir}/sfinfo

%files -n %{lib_name}
%defattr(-, root, root)
%doc COPYING README
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc COPYING README ACKNOWLEDGEMENTS TODO NEWS NOTES ChangeLog docs
%{_bindir}/audiofile-config
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/aclocal/*.m4
%{_libdir}/pkgconfig/*




%changelog
* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.6-14mdv2010.0
+ Revision: 413125
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.2.6-13mdv2009.1
+ Revision: 350135
- 2009.1 rebuild

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.6-12mdv2009.0
+ Revision: 220468
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 18 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.6-10mdv2008.0
+ Revision: 89524
- Rebuild

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags


* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 0.2.6-8mdv2007.0
+ Revision: 126864
- rebuild for pkgconfig provides

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 0.2.6-7mdv2007.1
+ Revision: 108676
- Import audiofile

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 0.2.6-7mdv2007.1
- unpack patches

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 0.2.6-6mdk
- rebuild for sparc

* Tue Jan 24 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.6-5mdk
- fix underquoted calls (P1 from fedora)
- %%mkrel
- cosmetics

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.2.6-4mdk
- Rebuild

* Thu Feb 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.6-3mdk
- cleanup patch0 (libdir) to make audiofile-config arch-independent

* Fri Apr 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.6-2mdk
- Fix package URL (no longer SGI)

* Fri Apr 23 2004 Götz Waschk <waschk@linux-mandrake.com> 0.2.6-1mdk
- fix source URL
- New release 0.2.6

